Bug 240548 - x11-toolkits/vte3: Loops over all possible file descriptors
Summary: x11-toolkits/vte3: Loops over all possible file descriptors
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-desktop (Team)
URL: https://gitlab.gnome.org/GNOME/vte/is...
Keywords: needs-qa, performance
Depends on:
Blocks:
 
Reported: 2019-09-12 23:08 UTC by rozhuk.im
Modified: 2020-12-21 10:19 UTC (History)
4 users (show)

See Also:
adridg: maintainer-feedback+
rozhuk.im: merge-quarterly?


Attachments
patch (1.90 KB, patch)
2019-09-12 23:08 UTC, rozhuk.im
no flags Details | Diff
reworked (2.63 KB, patch)
2019-09-14 02:02 UTC, rozhuk.im
no flags Details | Diff
patch (1.98 KB, patch)
2020-09-25 18:11 UTC, rozhuk.im
rozhuk.im: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2019-09-12 23:08:28 UTC
Created attachment 207443 [details]
patch

This is ported patch from devel/glib20: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=236815
because vte3 uses copy-pasted code from glib.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-13 04:17:00 UTC
This change is best suited to submitting upstream first. Please create an issue or PR upstream, and add the issue/PR URL reference to the patch so we can track the patch locally until a future release comes out with the change

Does this *actually* depend on the change in bug 236815 being committed *before* this patch is committed? If not, please remove it from Depends On
Comment 2 rozhuk.im 2019-09-14 02:02:02 UTC
Created attachment 207480 [details]
reworked
Comment 3 rozhuk.im 2019-09-14 22:30:47 UTC
(In reply to Kubilay Kocak from comment #1)

https://reviews.freebsd.org/D21206 - after that no patch needed.
Comment 4 rozhuk.im 2020-02-19 16:29:35 UTC
ping
Comment 5 rozhuk.im 2020-04-16 07:50:28 UTC
maintainer timeout
Comment 6 rozhuk.im 2020-09-25 18:11:50 UTC
Created attachment 218293 [details]
patch
Comment 7 rozhuk.im 2020-12-21 03:32:42 UTC
maintainer timeout
Comment 8 Adriaan de Groot freebsd_committer 2020-12-21 10:18:56 UTC
So the Phab review is accepted but not landed; in the meantime vte3 has a similar performance problem (it loops over all **possible** file descriptors and runs a callback, rather than iterating over **open** file descriptors) as xfce / mc had. That performance problem is described in the linked PR 236815 (open).

This change is accepted upstream (see linked URL)but might not be in any release yet.

I'll +1 this change and the other one, based **also** on vague memories of doing exactly this in some KDE code as well.